You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tvm.apache.org by GitBox <gi...@apache.org> on 2020/10/09 05:29:01 UTC

[GitHub] [incubator-tvm] hypercubestart opened a new pull request #6654: [Docker][CI][BYODT] add universal to Docker image

hypercubestart opened a new pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654


   add universal repo to Docker image, as per our discussion from here: https://github.com/apache/incubator-tvm/pull/5812
   
   cc: @tqchen are tutorial docs generated using the Docker gpu image?
   If so, can we install the Universal repo to the Docker gpu image as well so that the tutorial can use the posit codepaths?


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] leandron commented on a change in pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#discussion_r502264771



##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL
+
+# Use specific versioning tag.
+(cd UNIVERSAL && git checkout e32899d551b53d758865fabd5fdd69eed35bfb0f)

Review comment:
       Is there any specific reason we are using this hash `e32899d5..`? maybe a comment in the script to give a bit more context?

##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL

Review comment:
       I suggest we use absolute paths (rather than relative `UNIVERSAL`), to know where this is going to land on the Docker image, independent on where it runs. Some scripts will put libraries and dependencies under `/opt/`.
   
   This is the first time I hear about universal, please correct me if my comment doesn't apply, but also seems a bit unconventional to have an all caps directory name. I suggest we use regular lower case naming, perhaps `/opt/universal`?




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] leandron commented on a change in pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#discussion_r502264224



##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL

Review comment:
       I suggest we use absolute paths (rather than relative `UNIVERSAL`), to know where this is going to land on the Docker image, independent of when/where it runs. Some scripts will put libraries and dependencies under `/opt/`.
   
   This is the first time I hear about universal, please correct me if my comment doesn't apply, but also seems a bit unconventional to have an all caps directory name. I suggest we use regular lower case naming, perhaps `/opt/universal`?




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] tqchen commented on pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
tqchen commented on pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#issuecomment-716180144


   FYI, this is merged. The binary image upgrade is blocked on https://github.com/apache/incubator-tvm/issues/6754(not related to this PR)


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] leandron commented on a change in pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#discussion_r502264771



##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL
+
+# Use specific versioning tag.
+(cd UNIVERSAL && git checkout e32899d551b53d758865fabd5fdd69eed35bfb0f)

Review comment:
       Is there any specific reason we are using this hash `e32899d5..`? maybe a comment in the script to give a bit more context?

##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL

Review comment:
       I suggest we use absolute paths (rather than relative `UNIVERSAL`), to know where this is going to land on the Docker image, independent on where it runs. Some scripts will put libraries and dependencies under `/opt/`.
   
   This is the first time I hear about universal, please correct me if my comment doesn't apply, but also seems a bit unconventional to have an all caps directory name. I suggest we use regular lower case naming, perhaps `/opt/universal`?

##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL

Review comment:
       I suggest we use absolute paths (rather than relative `UNIVERSAL`), to know where this is going to land on the Docker image, independent of when/where it runs. Some scripts will put libraries and dependencies under `/opt/`.
   
   This is the first time I hear about universal, please correct me if my comment doesn't apply, but also seems a bit unconventional to have an all caps directory name. I suggest we use regular lower case naming, perhaps `/opt/universal`?




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] tqchen merged pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
tqchen merged pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654


   


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] hypercubestart commented on a change in pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
hypercubestart commented on a change in pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#discussion_r502535745



##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL
+
+# Use specific versioning tag.
+(cd UNIVERSAL && git checkout e32899d551b53d758865fabd5fdd69eed35bfb0f)

Review comment:
       I thought of using versioning so upstream changes to the `universal` repo doesn't affect our CI/CD process.
   
   Is this a good idea?




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] hypercubestart commented on a change in pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
hypercubestart commented on a change in pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#discussion_r502534589



##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL

Review comment:
       yes you are right, I'll move it under /opt/universal. thanks!




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] leandron commented on a change in pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#discussion_r502549614



##########
File path: docker/install/ubuntu_install_universal.sh
##########
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+git clone https://github.com/stillwater-sc/universal.git UNIVERSAL
+
+# Use specific versioning tag.
+(cd UNIVERSAL && git checkout e32899d551b53d758865fabd5fdd69eed35bfb0f)

Review comment:
       That is definitely a good idea. I checked and universal don't have any other more friendly tag or branch. I understand why you are using the hash.




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [incubator-tvm] hypercubestart commented on pull request #6654: [Docker][CI][BYODT] add universal to Docker image

Posted by GitBox <gi...@apache.org>.
hypercubestart commented on pull request #6654:
URL: https://github.com/apache/incubator-tvm/pull/6654#issuecomment-715469946


   pushing on this again @tqchen 


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org